%define lib_major 7
%define lib_name %mklibname gnomespeech %{lib_major}
%define last_abi_break_version 0.3.2

Summary: Simple general API for producing text-to-speech output
Name: gnome-speech
Version: 0.4.16
Release: %mkrel 1
License: LGPL
Group: Accessibility
URL: http://developer.gnome.org/projects/gap/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libbonobo-activation-devel
BuildRequires: libespeak-devel
BuildRequires: autoconf2.5
BuildRequires: gnome-common
Obsoletes: gnome_speech
Provides: gnome_speech = %{version}-%{release}
Requires: %name-driver = %version

%description
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package -n %{lib_name}
Summary:	 Simple general API for producing text-to-speech output
Group:		%{group}

Provides:	lib%{name} = %{version}-%{release}
Requires:   %{name} >= %{version}-%{release}


%description -n %{lib_name}
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for gnome_speech
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libgnomespeech-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:   libbonobo2_x-devel
Conflicts:  lib%{name}-devel < %{last_abi_break_version}

%description -n %{lib_name}-devel
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package driver-festival
Summary: Backend for gnome-speech based on festival
Group: System/Libraries
Provides: %name-driver = %version
Requires: festival

%description driver-festival
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

This is a backend for %name based on festival.

%package driver-espeak
Summary: Backend for gnome-speech based on espeak
Group: System/Libraries
Provides: %name-driver = %version

%description driver-espeak
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

This is a backend for %name based on espeak.

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%{_bindir}/test-speech
%{_datadir}/idl/*
%{_libdir}/orbit-2.0/*.so

%files driver-festival
%defattr(-,root,root,-)
%_bindir/festival-synthesis-driver
%_libdir/bonobo/servers/GNOME_Speech_SynthesisDriver_Festival.server

%files driver-espeak
%defattr(-,root,root,-)
%_bindir/espeak-synthesis-driver
%_libdir/bonobo/servers/GNOME_Speech_SynthesisDriver_Espeak.server

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/pkgconfig/*


%changelog
* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 0.4.16-1mdv2008.0
+ Revision: 56480
- new version

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 0.4.15-1mdv2008.0
+ Revision: 50564
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 0.4.14-1mdv2008.0
+ Revision: 40694
- new version

* Mon Jun 04 2007 Götz Waschk <waschk@mandriva.org> 0.4.13-1mdv2008.0
+ Revision: 35145
- new version

* Mon May 14 2007 Götz Waschk <waschk@mandriva.org> 0.4.12-1mdv2008.0
+ Revision: 26735
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.4.11-1mdv2008.0
+ Revision: 14038
- new version


* Sun Feb 25 2007 Götz Waschk <waschk@mandriva.org> 0.4.10-1mdv2007.0
+ Revision: 125666
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 0.4.9-1mdv2007.1
+ Revision: 118850
- new version

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 0.4.8-3mdv2007.1
+ Revision: 115387
- remove drivers from the main package

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.4.8-2mdv2007.1
+ Revision: 115033
- add espeak driver

* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 0.4.8-1mdv2007.1
+ Revision: 111055
- new version

* Fri Dec 15 2006 Götz Waschk <waschk@mandriva.org> 0.4.7-1mdv2007.1
+ Revision: 97321
- new version
- drop obsolete patch

* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 0.4.6-1mdv2007.1
+ Revision: 76830
- Import gnome-speech

* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 0.4.6-1mdv2007.1
- New version 0.4.6

* Wed Aug 30 2006 Götz Waschk <waschk@mandriva.org> 0.4.5-1mdv2007.0
- New release 0.4.5

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 0.4.4-1mdv2007.0
- New release 0.4.4

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdv2007.0
- New release 0.4.3

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 0.4.2-1
- New release 0.4.2

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2007.0
- New release 0.4.1

* Mon May 15 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- New release 0.4.0

* Thu Feb 23 2006 Götz Waschk <waschk@mandriva.org> 0.3.10-1mdk
- New release 0.3.10
- use mkrel

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.8-1mdk
- Release 0.3.8
- Remove patch1 (merged upstream)

* Wed Jul 13 2005 Frederic Crozat <fcrozat@mandriva.com> 0.3.7-2mdk 
- Patch1 (CVS): fix crash with festival (Mdk bug #16458)

* Thu May 12 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.7-1mdk
- New release 0.3.7

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.6-1mdk 
- Release 0.3.6
- Remove patch1 (no longer needed)

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.5-1mdk
- New release 0.3.5
- Fix java detection

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-3mdk
- fix devel requires (sync with AMD64)

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-2mdk
- Add conflicts to easy upgrading

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2

